DMESG(8)

NAME
dmesg - display the system message buffer

SYNOPSIS
dmesg [-s] [-M core] [-N system]

DESCRIPTION
dmesg displays the contents of the system message buffer. It is most commonly used to review system startup messages. On some systems the message buffer can survive reboot and be retained (in the hope of exposing information from a crash).

The options are as follows:

-M core
    Extract values associated with the name list from the specified core instead of the default /dev/kmem.

-N system
    Extract the name list from the specified system instead of the default /bsd.

-s  Display the contents of the console message buffer instead. This can be used to review rc(8) system startup messages. This option is limited to the superuser.

FILES
/var/run/dmesg.boot
    copy of dmesg saved by rc(8) at boot time

SEE ALSO
syslogd(8)

HISTORY
The dmesg command appeared in AT&T UNIX.